# This is your system's configuration file.
# Use this to configure your system environment (it replaces /etc/nixos/configuration.nix)
{
  inputs,
  lib,
  config,
  pkgs,
  ...
}: {
  environment.systemPackages = with pkgs; [
    protonplus
  ];
  services.flatpak = {
    enable = true;
    packages = [
      "com.vivaldi.Vivaldi"
      "dev.vencord.Vesktop"
      "com.github.tchx84.Flatseal"
      "com.heroicgameslauncher.hgl"
      "org.blender.Blender"
      "org.kde.krita"
      "com.mojang.Minecraft"
      "org.prismlauncher.PrismLauncher"
      "org.gnome.Showtime" #Duplicate -testing
      "io.github.diegopvlk.Cine" #Duplicate -testing
      "org.gnome.gThumb"
      "org.gnome.Calculator"
      "net.lutris.Lutris"
    ];
  };
  systemd.services.flatpak-repo = {
    wantedBy = [ "multi-user.target" ];
    path = [ pkgs.flatpak ];
    script = ''
      flatpak remote-add --if-not-exists flathub https://dl.flathub.org/repo/flathub.flatpakrepo
    '';
  };
  programs.steam.enable = true;
  hardware.steam-hardware.enable = true;
}
